<div id="contactInfoBody" class="az-contact-info-body">
    <div id="interactions" class="">
        <!-- -->
    </div>

    <div id="contactInfoBodyContainer" class="media-list">
        <div id="contactInfoHeader" class="az-contact-info-header">
            <div class="media hidden">
                <div class="media-body">
                    <div id="contactInfoHeaderContainer" class="contact-info-header">
                        <!-- header contact information generated from snippit here -->
                    </div>
                </div>
            </div>
            <div class="az-contact-action">
                <a data-permission='beta_access' id="edit_iternary_button" href="#" class="hidden"><i class="typcn typcn-edit"></i><span data-i18n="edit">edit</span></a>
                <a id="cancel_edit_iternary_button" href="#" ><i class="typcn typcn-times-outline"></i><span data-i18n="cancel">cancel</span></a>
                <a data-permission='beta_access' id="save_iternary_button" href="#" class="hidden"><i class="typcn typcn-tick-outline"></i><span data-i18n="save">save</span></a>
            </div>
        </div>
    </div>
    <br/>
    <form id="iternaryForm">
        <div class="form-group">
            <label for="iternary_id" data-i18n="Iternary Id">Iternary Id</label>
            <input type="text" id="iternary_id" name="" value="{{ iternary.id }}" readonly>

        </div>

        <div class="form-group">
            <label for="update_behaviour" data-i18n="Allow automatically updates">Allow automatically updates</label>
            <input type="checkbox" id="iternary_update_behaviour" name="update_behaviour" disabled  {% if iternary.update_behaviour == 'force' %} checked {% endif %}>

        </div>

        <div class="form-group">
            <label for="hide" data-i18n="Hide itinerary">Hide itinerary</label>
            <input type="checkbox" id="iternary_hide" name="hide" disabled {% if iternary.hide == true %} checked {% endif %}>
        </div>


        <div class="form-group">
            <label for="iternary_title" data-i18n="Title">Title</label>
            <input type="text" id="iternary_title" name="title" value="{{ iternary.title }}" disabled>
        </div>

        <div class="form-group">
            <label for="tag_container" data-i18n="Tags">Tags</label>
            <div class="flex-container">
            <span id="tag_container"></span>
            </div>
        </div>

        <div class="form-group">
            <label for="iternary_intro" data-i18n="Intro">Intro</label>
            <textarea id="iternary_intro" name="intro" disabled>{{ iternary.intro }}</textarea>
        </div>


        <div class="form-group">
            <label for="iternary_description" data-i18n="Description">Description</label>
            <textarea id="iternary_description" name="description" disabled>{{ iternary.description }}</textarea>
        </div>

        <div class="form-group">
            <label for="shipping_line" data-i18n="Shipping Company">Shipping Company</label>
            <input type="text" id="shipping_line" name="" value="{{ iternary.shipping_line.name }}" readonly>
        </div>

        <div class="form-group">
            <label for="ship" data-i18n="Ship">Ship</label>
            <input type="text" id="ship" name="" value="{{ iternary.ship.name }}" readonly>
        </div>

        <div class="form-group">
            <label for="from_port" data-i18n="Starting Port">Starting Port</label>
            <input type="text" id="from_port" name="" value="{{ iternary.from_port }}" readonly>
        </div>

        <div class="form-group">
            <label for="to_port" data-i18n="Destination Port">Destination Port</label>
            <input type="text" id="to_port" name="" value="{{ iternary.to_port }}" readonly>
        </div>

        {% for departure in iternary.departures %}
            <div class="form-group">
                <label for="shipCode" data-i18n="Ship Code">Ship Code</label>
                <input type="text" id="shipCode" name="" value="{{ departure.shipCode}}" readonly>
            </div>

            <div class="form-group">
                <label for="embarkationDate" data-i18n="Embarktation Date">Embarktation Date</label>
                <input type="text" id="embarkationDate" name="" value="{{ departure.embarkationDate | date }}" readonly>
            </div>

            <div class="form-group">
                <label for="startDate" data-i18n="Start Date">Start Date</label>
                <input type="text" id="startDate" name="" value="{{ departure.startDate | date }}" readonly>
            </div>

            <div class="form-group">
                <label for="endDate" data-i18n="End Date">End Date</label>
                <input type="text" id="endDate" name="" value="{{ departure.endDate | date }}" readonly>
            </div>
            {% set outerLoopIndex = loop.index0 %}
            {% for cabin in departure.cabins %}
                <div class="form-group {% if loop.index0 % 2 == 0 %}even{% else %}odd{% endif %}">
                    <label for="cabin"><span data-i18n="Cabin Option">Cabin Option</span> - {{ loop.index }}</label>
                    <table class="table iterneray-cabin-table" id="">
                        <tr>
                            <th> <label for="" data-i18n="Available Cabins">Available Cabins</label></th>
                            <td> <input type="text" name="" value="{{ cabin.availableCabins }}" readonly></td>
                        </tr>
                        <tr>
                            <th> <label for="" data-i18n="Category">Category</label></th>
                            <td> <input type="text" name="" value="{{ cabin.category }}" readonly></td>
                        </tr>
                        <tr>
                            <th> <label for="" data-i18n="Passenger Type">Passenger Type</label></th>
                            <td> <input type="text" name="" value="{{ cabin.passengerType }}" readonly></td>
                        </tr>
                        <tr>
                            <th> <label for="" data-i18n="Single Occupancy Rate">Single Occupancy Rate</label></th>
                            <td> <input class="singleOccupancyRate" type="number" name="departures.{{ outerLoopIndex }}.cabins.{{ loop.index0 }}.singleOccupancyRate" value="{{ cabin.singleOccupancyRate }}" disabled></td>
                        </tr>
                        <tr>
                            <th> <label for="" data-i18n="Double Occupancy Rate">Double Occupancy Rate</label></th>
                            <td> <input class="doubleOccupancyRate" type="number" name="departures.{{ outerLoopIndex }}.cabins.{{ loop.index0 }}.doubleOccupancyRate" value="{{ cabin.doubleOccupancyRate }}" disabled></td>
                        </tr>
                    </table>
                </div>
            {% endfor %}
        {% endfor %}
    </form>
</div>